package com.ruoyi.system.domain;

import com.alibaba.fastjson.annotation.JSONField;

import java.math.BigDecimal;

/**
 * @author Shawn
 */
public class B19 {
    @JSONField(name = "序号")
    private String id;
    @JSONField(name = "订单号")
    private String orderId;
    @JSONField(name = "预订日期")
    private String preOrderDate;
    @JSONField(name = "预订人")
    private String preOrderPerson;
    @JSONField(name = "员工ID")
    private String userId;
    @JSONField(name = "单元号")
    private String unitId;
    @JSONField(name = "消费类型")
    private String consumeType;
    @JSONField(name = "福豆金额")
    private BigDecimal fuDouAmount;
    @JSONField(name = "平台")
    private String part;
    @JSONField(name = "上传人")
    private String uploadPerson;
    @JSONField(name = "上传日期时间")
    private String uploadTime;

    public B19() {
    }

    @Override
    public String toString() {
        return "B19{" +
                "id='" + id + '\'' +
                ", orderId='" + orderId + '\'' +
                ", preOrderDate='" + preOrderDate + '\'' +
                ", preOrderPerson='" + preOrderPerson + '\'' +
                ", unitId='" + unitId + '\'' +
                ", consumeType='" + consumeType + '\'' +
                ", fuDouAmount=" + fuDouAmount +
                ", part='" + part + '\'' +
                ", uploadPerson='" + uploadPerson + '\'' +
                ", uploadTime='" + uploadTime + '\'' +
                '}';
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getPreOrderDate() {
        return preOrderDate;
    }

    public void setPreOrderDate(String preOrderDate) {
        this.preOrderDate = preOrderDate;
    }

    public String getPreOrderPerson() {
        return preOrderPerson;
    }

    public void setPreOrderPerson(String preOrderPerson) {
        this.preOrderPerson = preOrderPerson;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUnitId() {
        return unitId;
    }

    public void setUnitId(String unitId) {
        this.unitId = unitId;
    }

    public String getConsumeType() {
        return consumeType;
    }

    public void setConsumeType(String consumeType) {
        this.consumeType = consumeType;
    }

    public BigDecimal getFuDouAmount() {
        return fuDouAmount;
    }

    public void setFuDouAmount(BigDecimal fuDouAmount) {
        this.fuDouAmount = fuDouAmount;
    }

    public String getPart() {
        return part;
    }

    public void setPart(String part) {
        this.part = part;
    }

    public String getUploadPerson() {
        return uploadPerson;
    }

    public void setUploadPerson(String uploadPerson) {
        this.uploadPerson = uploadPerson;
    }

    public String getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(String uploadTime) {
        this.uploadTime = uploadTime;
    }
}
